import { Disposable, IEventBus } from '@opensumi/ide-core-common';
import * as monaco from '@opensumi/ide-monaco';
import { IThemeService } from '@opensumi/ide-theme';
import { IDecorationApplyOptions, IDecorationRenderOptions } from '../common';
import { IEditorDecorationCollectionService } from './types';
import type { ICodeEditor as IMonacoCodeEditor } from '@opensumi/ide-monaco/lib/browser/monaco-api/types';
export declare class MonacoEditorDecorationApplier extends Disposable {
    private editor;
    decorationService: IEditorDecorationCollectionService;
    themeService: IThemeService;
    eventBus: IEventBus;
    private decorations;
    constructor(editor: IMonacoCodeEditor);
    private getEditorUri;
    private applyDecorationFromProvider;
    dispose(): void;
    clearDecorations(): void;
    deltaDecoration(key: string, decorations: monaco.editor.IModelDeltaDecoration[]): void;
    applyDecoration(key: string, options: IDecorationApplyOptions[]): void;
    resolveDecorationRenderer(key: string, options?: IDecorationRenderOptions): {
        options: monaco.editor.IModelDecorationOptions;
        dispose: () => void;
    };
}
//# sourceMappingURL=decoration-applier.d.ts.map