"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEditorDocumentModelRef = void 0;
const react_1 = require("react");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const types_1 = require("../doc-model/types");
function useEditorDocumentModelRef(uri) {
    const documentService = (0, ide_core_browser_1.useInjectable)(types_1.IEditorDocumentModelService);
    const [ref, setRef] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        const run = () => {
            const ref = documentService.getModelReference(uri);
            if (ref) {
                setRef(ref);
            }
        };
        const toDispose = documentService.onDocumentModelCreated(uri.toString(), () => {
            run();
        });
        run();
        return () => {
            toDispose.dispose();
            if (ref) {
                ref.dispose();
            }
        };
    }, [uri]);
    return ref;
}
exports.useEditorDocumentModelRef = useEditorDocumentModelRef;
//# sourceMappingURL=useEditor.js.map