"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInMergeChanges = exports.gitMergeChangesSet = void 0;
const react_1 = require("react");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const contextKey = 'git.mergeChangesObj';
exports.gitMergeChangesSet = new Set([contextKey]);
function useInMergeChanges(uriStr) {
    const contextKeyService = (0, ide_core_browser_1.useInjectable)(ide_core_browser_1.IContextKeyService);
    const [inMergeChanges, setInMergeChanges] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        function run() {
            const mergeChanges = contextKeyService.getValue(contextKey) || {};
            setInMergeChanges(mergeChanges[uriStr] || false);
        }
        run();
        const disposed = contextKeyService.onDidChangeContext(({ payload }) => {
            if (payload.affectsSome(exports.gitMergeChangesSet)) {
                run();
            }
        });
        return () => disposed.dispose();
    }, [uriStr]);
    return inMergeChanges;
}
exports.useInMergeChanges = useInMergeChanges;
//# sourceMappingURL=useInMergeChanges.js.map