"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenSumiLightBulbWidget = void 0;
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const codicons_1 = require("@opensumi/ide-core-common/lib/codicons");
const codicons_2 = require("@opensumi/monaco-editor-core/esm/vs/base/common/codicons");
const lightBulbWidget_1 = require("@opensumi/monaco-editor-core/esm/vs/editor/contrib/codeAction/browser/lightBulbWidget");
class OpenSumiLightBulbWidget extends lightBulbWidget_1.LightBulbWidget {
    _updateLightBulbTitleAndIcon() {
        this._domNode.classList.remove(...this._iconClasses);
        this._iconClasses = [];
        if (this.state.type !== lightBulbWidget_1.LightBulbState.Type.Showing) {
            return;
        }
        let icon;
        let autoRun = false;
        if (this.state.actions.allAIFixes) {
            icon = codicons_1.Sumicon.magicWand;
            if (this.state.actions.validActions.length === 1) {
                autoRun = true;
            }
        }
        else if (this.state.actions.hasAutoFix) {
            if (this.state.actions.hasAIFix) {
                // icon = Codicon.lightbulbSparkleAutofix;
                icon = codicons_1.Sumicon.magicWand;
            }
            else {
                icon = codicons_2.Codicon.lightbulbAutofix;
            }
        }
        else if (this.state.actions.hasAIFix) {
            // icon = Codicon.lightbulbSparkle;
            icon = codicons_1.Sumicon.magicWand;
        }
        else {
            icon = codicons_2.Codicon.lightBulb;
        }
        this._updateLightbulbTitle(this.state.actions.hasAutoFix, autoRun);
        this._iconClasses = (0, ide_core_browser_1.asClassNameArrayWrapper)(icon);
        this._domNode.classList.add(...this._iconClasses);
    }
}
exports.OpenSumiLightBulbWidget = OpenSumiLightBulbWidget;
//# sourceMappingURL=index.js.map