import * as monaco from '@opensumi/ide-monaco';
export interface IMergeRegion {
    name: string;
    header: monaco.Range;
    content: monaco.Range;
    decoratorContent?: monaco.Range;
}
export declare const enum CommitType {
    Current = 0,
    Incoming = 1,
    Both = 2
}
export interface IExtensionConfiguration {
    enableCodeLens: boolean;
    enableDecorations: boolean;
    enableEditorOverview: boolean;
}
export interface IDocumentMergeConflict extends IDocumentMergeConflictDescriptor {
    commitEdit(type: CommitType, editor: monaco.editor.ITextModel): Thenable<boolean>;
    applyEdit(type: CommitType, document: monaco.editor.ITextModel, edit: {
        replace(range: monaco.Range, newText: string): void;
    }): void;
}
export interface IDocumentMergeConflictDescriptor {
    [x: string]: any;
    range: monaco.Range;
    current: IMergeRegion;
    incoming: IMergeRegion;
    commonAncestors: IMergeRegion[];
    splitter: monaco.Range;
}
export interface ICacheDocumentMergeConflict extends IDocumentMergeConflictDescriptor {
    incomingContent: string;
    currentContent: string;
    bothContent: string;
    aiContent?: string;
    defaultContent: string;
}
export interface IDocumentMergeConflictTracker {
    getConflicts(document: monaco.editor.ITextModel): PromiseLike<IDocumentMergeConflict[]>;
    isPending(document: monaco.editor.ITextModel): boolean;
    forget(document: monaco.editor.ITextModel): void;
}
export interface IDocumentMergeConflictTrackerService {
    createTracker(origin: string): IDocumentMergeConflictTracker;
    forget(document: monaco.editor.ITextModel): void;
}
export interface IDocumentMergeConflictNavigationResults {
    canNavigate: boolean;
    conflict?: IDocumentMergeConflict;
}
export declare enum NavigationDirection {
    Forwards = 0,
    Backwards = 1
}
export declare namespace AI_COMMAND {
    const ACCEPT: string;
    const REVERT: string;
}
//# sourceMappingURL=types.d.ts.map