import React from 'react';
import { IBreadCrumbPart } from './types';
import { EditorGroup } from './workbench-editor.service';
export declare const NavigationBar: ({ editorGroup }: {
    editorGroup: EditorGroup;
}) => React.JSX.Element | null;
export declare const NavigationItem: React.MemoExoticComponent<({ part, editorGroup }: {
    part: IBreadCrumbPart;
    editorGroup: EditorGroup;
}) => React.JSX.Element>;
export declare const NavigationMenu: (({ model }: {
    model: NavigationMenuModel;
}) => React.JSX.Element) & {
    displayName: string;
};
export declare const NavigationMenuContainer: (() => React.JSX.Element | null) & {
    displayName: string;
};
export declare class NavigationBarViewService {
    current: NavigationMenuModel | null;
    editorGroup: EditorGroup | null;
    constructor();
    showMenu(parts: IBreadCrumbPart[], x: any, y: any, currentIndex: any, uri: any, editorGroup: any): void;
    dispose(): void;
}
export declare class NavigationMenuModel {
    readonly parts: IBreadCrumbPart[];
    readonly x: any;
    readonly y: any;
    readonly initialIndex: number;
    readonly uri: any;
    subMenu: NavigationMenuModel | null;
    constructor(parts: IBreadCrumbPart[], x: any, y: any, initialIndex: number, uri: any);
    showSubMenu(parts: IBreadCrumbPart[], x: any, y: any, uri: any): void;
    dispose(): void;
}
//# sourceMappingURL=navigation.view.d.ts.map