import { Event, MaybeNull, URI } from '@opensumi/ide-core-common';
import { IOpenResourceResult, IResourceOpenOptions, IUntitledOptions, WorkbenchEditorService } from '../editor';
import { IResource } from '../resource';
import type { IEditorGroup } from '../../browser';
export declare class MockWorkbenchEditorService extends WorkbenchEditorService {
    private readonly _onActiveResourceChange;
    readonly onActiveResourceChange: Event<MaybeNull<IResource>>;
    private readonly _onDidEditorGroupsChanged;
    readonly onDidEditorGroupsChanged: Event<void>;
    private readonly _onDidCurrentEditorGroupChanged;
    readonly onDidCurrentEditorGroupChanged: Event<IEditorGroup>;
    closeAll(uri?: URI, force?: boolean): Promise<void>;
    open(uri: URI, options?: IResourceOpenOptions): Promise<IOpenResourceResult>;
    openUris(uri: URI[]): Promise<void>;
    saveAll(includeUntitled?: boolean): Promise<void>;
    close(uri: any, force?: boolean): Promise<void>;
    getAllOpenedUris(): URI[];
    createUntitledResource(options?: IUntitledOptions): Promise<IOpenResourceResult>;
    setEditorContextKeyService(): void;
    calcDirtyCount(): number;
}
//# sourceMappingURL=workbench-editor.service.d.ts.map